org.wildfly.swarm.config.remoting

## Class PolicySASLPolicy<T extends PolicySASLPolicy<T>>

- java.lang.Object
- - org.wildfly.swarm.config.remoting.PolicySASLPolicy<T>

-     public class PolicySASLPolicy<T extends PolicySASLPolicy<T>>
      extends Object

  The policy configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicySASLPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `forwardSecrecy()` The optional nested "forward-secrecy" element contains a boolean value which specifies whether mechanisms that implement forward secrecy between sessions are required.
    `T` | `forwardSecrecy(Boolean value)` The optional nested "forward-secrecy" element contains a boolean value which specifies whether mechanisms that implement forward secrecy between sessions are required.
    `String` | `getKey()`
    `Boolean` | `noActive()` The optional nested "no-active" element contains a boolean value which specifies whether mechanisms susceptible to active (non-dictionary) attacks are not permitted.
    `T` | `noActive(Boolean value)` The optional nested "no-active" element contains a boolean value which specifies whether mechanisms susceptible to active (non-dictionary) attacks are not permitted.
    `Boolean` | `noAnonymous()` The optional nested "no-anonymous" element contains a boolean value which specifies whether mechanisms that accept anonymous login are permitted.
    `T` | `noAnonymous(Boolean value)` The optional nested "no-anonymous" element contains a boolean value which specifies whether mechanisms that accept anonymous login are permitted.
    `Boolean` | `noDictionary()` The optional nested "no-dictionary" element contains a boolean value which specifies whether mechanisms susceptible to passive dictionary attacks are permitted.
    `T` | `noDictionary(Boolean value)` The optional nested "no-dictionary" element contains a boolean value which specifies whether mechanisms susceptible to passive dictionary attacks are permitted.
    `Boolean` | `noPlainText()` The optional nested "no-plain-text" element contains a boolean value which specifies whether mechanisms susceptible to simple plain passive attacks (e.g., "PLAIN") are not permitted.
    `T` | `noPlainText(Boolean value)` The optional nested "no-plain-text" element contains a boolean value which specifies whether mechanisms susceptible to simple plain passive attacks (e.g., "PLAIN") are not permitted.
    `Boolean` | `passCredentials()` The optional nested "pass-credentials" element contains a boolean value which specifies whether mechanisms that pass client credentials are required.
    `T` | `passCredentials(Boolean value)` The optional nested "pass-credentials" element contains a boolean value which specifies whether mechanisms that pass client credentials are required.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicySASLPolicy

          public PolicySASLPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### forwardSecrecy

          public Boolean forwardSecrecy()

      The optional nested "forward-secrecy" element contains a boolean value which specifies whether mechanisms that implement forward secrecy between sessions are required. Forward secrecy means that breaking into one session will not automatically provide information for breaking into future sessions.

    - #### forwardSecrecy

          public T forwardSecrecy(Boolean value)

      The optional nested "forward-secrecy" element contains a boolean value which specifies whether mechanisms that implement forward secrecy between sessions are required. Forward secrecy means that breaking into one session will not automatically provide information for breaking into future sessions.

    - #### noActive

          public Boolean noActive()

      The optional nested "no-active" element contains a boolean value which specifies whether mechanisms susceptible to active (non-dictionary) attacks are not permitted. "false" to permit, "true" to deny.

    - #### noActive

          public T noActive(Boolean value)

      The optional nested "no-active" element contains a boolean value which specifies whether mechanisms susceptible to active (non-dictionary) attacks are not permitted. "false" to permit, "true" to deny.

    - #### noAnonymous

          public Boolean noAnonymous()

      The optional nested "no-anonymous" element contains a boolean value which specifies whether mechanisms that accept anonymous login are permitted. "false" to permit, "true" to deny.

    - #### noAnonymous

          public T noAnonymous(Boolean value)

      The optional nested "no-anonymous" element contains a boolean value which specifies whether mechanisms that accept anonymous login are permitted. "false" to permit, "true" to deny.

    - #### noDictionary

          public Boolean noDictionary()

      The optional nested "no-dictionary" element contains a boolean value which specifies whether mechanisms susceptible to passive dictionary attacks are permitted. "false" to permit, "true" to deny.

    - #### noDictionary

          public T noDictionary(Boolean value)

      The optional nested "no-dictionary" element contains a boolean value which specifies whether mechanisms susceptible to passive dictionary attacks are permitted. "false" to permit, "true" to deny.

    - #### noPlainText

          public Boolean noPlainText()

      The optional nested "no-plain-text" element contains a boolean value which specifies whether mechanisms susceptible to simple plain passive attacks (e.g., "PLAIN") are not permitted. "false" to permit, "true" to deny.

    - #### noPlainText

          public T noPlainText(Boolean value)

      The optional nested "no-plain-text" element contains a boolean value which specifies whether mechanisms susceptible to simple plain passive attacks (e.g., "PLAIN") are not permitted. "false" to permit, "true" to deny.

    - #### passCredentials

          public Boolean passCredentials()

      The optional nested "pass-credentials" element contains a boolean value which specifies whether mechanisms that pass client credentials are required.

    - #### passCredentials

          public T passCredentials(Boolean value)

      The optional nested "pass-credentials" element contains a boolean value which specifies whether mechanisms that pass client credentials are required.

Copyright © 2018 JBoss by Red Hat. All rights reserved.